This URL deletes the NMS user at Sensor.
Resource URL
DELETE / sensor/<sensor_id> /nmsuser/<nmsuser_id>
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Sensor id | Number | Yes |
| Id of the NMS user | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| Set to 1 if the operation was successful, -1 otherwise | Number |
Example
Request
DELETE https://<NSM_IP>/sdkapi/sensor/1001/nmsuser/20
Payload
None
Response
{
"status": 1
}
Error Information
Following error codes are returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 404 | 1106 | Invalid Sensor |
2 | 400 | 1124 | The Sensor is inactive |
3 | 400 | 5401 | FIPS enabled on Sensor |
4 | 400 | 5110 | Invalid user id |